apiVersion: v1
kind: PersistentVolume
metadata:
  name: minecraft-config-pv
  namespace: minecraft
spec:
  capacity:
    storage: 30Gi
  storageClassName: minecraft-nfs-csi
  accessModes:
    - ReadWriteOnce
  persistentVolumeReclaimPolicy: Retain
  nfs:
    server: 192.168.1.22
    path: /mnt/fenix-main-nas-pool-0/data/Minecraft/TI0
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: minecraft-config-pvc
  namespace: minecraft
spec:
  storageClassName: minecraft-nfs-csi
  accessModes:
    - ReadWriteOnce
  volumeName: minecraft-config-pv
  resources:
    requests:
      storage: 30Gi